# WOK
TKWOKTcl
WOKTclTools

# WOKTclTools_MsgAPI Class Reference

`#include <WOKTclTools_MsgAPI.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | Set (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | UnSet (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | IsSet (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | DoPrintContext (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | DontPrintContext (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | IsPrintContext (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | DoPrintHeader (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | DontPrintHeader (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | IsPrintHeader (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | PrintMessage (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)
static Standard_EXPORT Standard_Integer | MessageInfo (const Standard_Integer argc, const WOKTools_ArgTable &argv, WOKTools_Return &retval)

## Member Function Documentation

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::DontPrintContext | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::DontPrintHeader | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::DoPrintContext | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::DoPrintHeader | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::IsPrintContext | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::IsPrintHeader | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::IsSet | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::MessageInfo | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

void WOKTclTools_MsgAPI::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTclTools_MsgAPI::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTclTools_MsgAPI::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::PrintMessage | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::Set | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKTclTools_MsgAPI::UnSet | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | WOKTools_Return & | retval
| ) | `[static]`

The documentation for this class was generated from the following file:

- WOKTclTools_MsgAPI.hxx